CVE-2019-3462

Priority
Description
Incorrect sanitation of the 302 redirect field in HTTP transport method of
apt versions 1.4.8 and earlier can lead to content injection by a MITM
attacker, potentially leading to remote code execution on the target
machine.
Assigned-to
mdeslaur
Package
Source: apt (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):released (0.8.16~exp12ubuntu10.28)
Ubuntu 14.04 LTS (Trusty Tahr):released (1.0.1ubuntu2.19)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.2.29ubuntu0.1)
Ubuntu 18.04 LTS (Bionic Beaver):released (1.6.6ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1.7.0ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):released (1.8.0~alpha3.1)
More Information

Updated: 2019-03-19 12:31:16 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)